
Redmine - Defect #12551

Incorrect From header in email notifications

2012-12-10 11:12 - Egor Myadzelev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.5

Description

Hello

using bitnami stack, redmine v1.4.5

1. /opt/bitnami/ruby/bin/ruby -v

ruby 1.9.3p327 (2012-11-10 revision 37606) [i686-linux]

2. /opt/bitnami/ruby/bin/rails -v

Rails 2.3.14

Just moved from 0.9.something to stable 1.4.5. Almost everything works fine.

I encountered the problem with email notifications. When trying to send test message from Admin -> Settings I'm getting the error:

501 Syntax error, parameters in command "MAIL FROM:<["user@domain"]>" unrecognized or missing

 which is basically my SMTP server's respond on unrecognized bracket symbols "[]"

I also have system with 1.4.4 installed and notifications work fine. That system has ruby 1.8.7 installed, the promlematic one has

1.9.3.

I assumed there was something to do with arrays an 1.9, but I'm not familiar with Ruby at all and just don't know where to look.

History

#1 - 2012-12-12 14:22 - Toshi MARUYAMA

- Category set to Email notifications

- Affected version (unused) set to 1.4.5

- Affected version set to 1.4.5

#2 - 2012-12-13 16:20 - Jean-Philippe Lang

- Resolution set to Cant reproduce

What do you have in your "Emission email address" setting (admin -> settings -> email notifications)?

#3 - 2012-12-14 11:42 - Egor Myadzelev

Jean-Philippe Lang wrote:

What do you have in your "Emission email address" setting (admin -> settings -> email notifications)?

 Hi.

It could be any proper email-address, for example root@localhost. However, my current emission address is web@nadom.ru. JFYI: my SMTP allows

relaying and there's "authentication: :none" in configuration.yml

I noticed some interesting behavior: I tried to set email address with FQDN, just added a dot ("web@nadom.ru.") and redmine said that mail sent

successfully, no errors were displayed. I checked my mailbox - message was in there, but there's no "From" header. Here is messages with all

headers:

http://pastebin.com/iE9RPQSj (message from 1.4.4/ruby 1.8 system, where is everything works fine. Emission email IS set. There actually ARE the
mailto:web@nadom.ru
mailto:web@nadom.ru
http://pastebin.com/iE9RPQSj


"from" and "List-Id" headers);

http://pastebin.com/64nYMJhB (message from problematic 1.4.5/ruby 1.9. Emission email IS NOT set. There IS NO "From" header and List-Id is

empty.

http://pastebin.com/6q859aK4 (message from problematic 1.4.5/ruby 1.9. Emission email IS set with FRQN. There is NO "From" header. There IS

"List-Id" header)

Hope it will help.

#4 - 2012-12-17 19:06 - Jean-Philippe Lang

- Subject changed from redmine forms incorrect headers in email notifications to Incorrect From header in email notifications

What is the version of your mail gem? You can see it by running `bundle list`.

#5 - 2012-12-17 19:08 - Jean-Philippe Lang

Oh, just realized that 1.4.x does not use the new mail gem but the old tmail library.

#6 - 2012-12-18 06:24 - Egor Myadzelev

Hi.

Thanks for your reply. There is no 'mail' in my bundle list indeed.

What am I supposed to do now to make it work? :> just `gem install mail` ?

root@redmine-devel:/opt/bitnami/apps/redmine/htdocs# /opt/bitnami/ruby/bin/bundle list

Gems included by the bundle:

  * actionmailer (2.3.14)

  * actionpack (2.3.14)

  * activerecord (2.3.14)

  * activeresource (2.3.14)

  * activesupport (2.3.14)

  * bundler (1.2.1)

  * coderay (1.0.6)

  * i18n (0.4.2)

  * mysql2 (0.2.18)

  * net-ldap (0.3.1)

  * rack (1.1.3)

  * rails (2.3.14)

  * rake (0.9.2.2)

  * rmagick (2.13.1)

  * ruby-openid (2.1.8)

  * tzinfo (0.3.33)

#7 - 2013-05-08 12:13 - Toshi MARUYAMA

- Status changed from New to Closed

Redmine 1.4.x is not supported now.
